petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecNormalize

Normalizes a vector by 2-norm.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNormalize(Vec x,PetscReal *val)

Collective on Vec

### Input Parameters

| x | - the vector

### Output Parameter

| x | - the normalized vector
| val | - the vector norm before normalization

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html